Loading...
Searching...
No Matches
casacore::UDFMSCal Class Reference
derivedmscal package (libcasa_derivedmscal) » DerivedMC_module

More...

`#include <UDFMSCal.h>`

## Public Types

enum | ColType { HA , HADEC , PA , LAST , AZEL , ITRF , UVWWVL , UVWWVLS , NEWUVW , NEWUVWWVL , NEWUVWWVLS , DELAY , STOKES , SELECTION , GETVALUE }
| Define the possible 'column' types. More...
enum | SelType { BASELINE , CORR , TIME , UVDIST , SPW , FIELD , FEED , ARRAY , SCAN , STATE , OBS }
| Define the possible selection types. More...
Public Types inherited from casacore::UDFBase
typedef UDFBase * | MakeUDFObject(const String &functionName)
| The signature of a global or static member function creating an object of the UDF.

## Public Member Functions

| UDFMSCal (ColType, Int arg)
| Create object the given ColType and SelType.
| UDFMSCal (const String &funcName)
| Create the object for getting a value from a column in a subtable.
| UDFMSCal (const String &funcName, const String &subtabName, const String &idColName, Int arg=0)
| UDFMSCal (const String &funcName, const String &subtabName, const String &idColName, const String &colName)
virtual void | setup (const Table &, const TaQLStyle &)
| Setup the object.
virtual Bool | getBool (const TableExprId &id)
| Get the value.
virtual Int64 | getInt (const TableExprId &id)
virtual Double | getDouble (const TableExprId &id)
virtual DComplex | getDComplex (const TableExprId &id)
virtual String | getString (const TableExprId &id)
virtual MArray< Bool > | getArrayBool (const TableExprId &id)
virtual MArray< Int64 > | getArrayInt (const TableExprId &id)
virtual MArray< Double > | getArrayDouble (const TableExprId &id)
virtual MArray< DComplex > | getArrayDComplex (const TableExprId &id)
virtual MArray< String > | getArrayString (const TableExprId &id)
virtual void | recreateColumnObjects (const Vector< rownr_t > &rownrs)
| Let a derived class recreate its column objects in case a selection has to be applied.
Public Member Functions inherited from casacore::UDFBase
| UDFBase ()
| Only default constructor is needed.
virtual | ~UDFBase ()
| Destructor.
virtual TaqlRegex | getRegex (const TableExprId &id)
virtual MVTime | getDate (const TableExprId &id)
virtual MArray< MVTime > | getArrayDate (const TableExprId &id)
const String & | getUnit () const
| Get the unit.
const Record & | getAttributes () const
| Get the attributes.
virtual void | flattenTree (std::vector< TableExprNodeRep * > &)
| Flatten the node tree by adding the node and its children to the vector.
void | init (const std::vector< TENShPtr > &arg, const TableExprInfo &tableInfo, const TaQLStyle &)
| Initialize the function object.
TableExprNodeRep::NodeDataType | dataType () const
| Get the data type.
Int | ndim () const
| Get the dimensionality of the results.
const IPosition & | shape () const
| Get the result shape if the same for all results.
Bool | isConstant () const
| Tell if the UDF gives a constant result.
Bool | isAggregate () const
| Tell if the UDF is an aggregate function.
void | disableApplySelection ()
| Do not apply the selection.
void | applySelection (const Vector< rownr_t > &rownrs)
| If needed, let the UDF re-create column objects for a selection of rows.

## Static Public Member Functions

static UDFBase * | makeHA (const String &)
| Function to create an object.
static UDFBase * | makeHA1 (const String &)
static UDFBase * | makeHA2 (const String &)
static UDFBase * | makeHADEC (const String &)
static UDFBase * | makeHADEC1 (const String &)
static UDFBase * | makeHADEC2 (const String &)
static UDFBase * | makePA1 (const String &)
static UDFBase * | makePA2 (const String &)
static UDFBase * | makeLAST (const String &)
static UDFBase * | makeLAST1 (const String &)
static UDFBase * | makeLAST2 (const String &)
static UDFBase * | makeAZEL (const String &)
static UDFBase * | makeAZEL1 (const String &)
static UDFBase * | makeAZEL2 (const String &)
static UDFBase * | makeITRF (const String &)
static UDFBase * | makeUvwWvl (const String &)
static UDFBase * | makeUvwWvls (const String &)
static UDFBase * | makeUvwJ2000 (const String &)
static UDFBase * | makeWvlJ2000 (const String &)
static UDFBase * | makeWvlsJ2000 (const String &)
static UDFBase * | makeUvwAPP (const String &)
static UDFBase * | makeWvlAPP (const String &)
static UDFBase * | makeWvlsAPP (const String &)
static UDFBase * | makeDelay (const String &)
static UDFBase * | makeDelay1 (const String &)
static UDFBase * | makeDelay2 (const String &)
static UDFBase * | makeStokes (const String &)
static UDFBase * | makeBaseline (const String &)
static UDFBase * | makeCorr (const String &)
static UDFBase * | makeTime (const String &)
static UDFBase * | makeUVDist (const String &)
static UDFBase * | makeSpw (const String &)
static UDFBase * | makeField (const String &)
static UDFBase * | makeFeed (const String &)
static UDFBase * | makeArray (const String &)
static UDFBase * | makeScan (const String &)
static UDFBase * | makeState (const String &)
static UDFBase * | makeObs (const String &)
static UDFBase * | makeAnt1Name (const String &)
static UDFBase * | makeAnt2Name (const String &)
static UDFBase * | makeAnt1Col (const String &)
static UDFBase * | makeAnt2Col (const String &)
static UDFBase * | makeStateCol (const String &)
static UDFBase * | makeObsCol (const String &)
static UDFBase * | makeSpwCol (const String &)
static UDFBase * | makePolCol (const String &)
static UDFBase * | makeFieldCol (const String &)
static UDFBase * | makeProcCol (const String &)
static UDFBase * | makeSubCol (const String &)
Static Public Member Functions inherited from casacore::UDFBase
static void | registerUDF (const String &name, MakeUDFObject *func)
| Register the name and construction function of a UDF (thread-safe).
static UDFBase * | createUDF (const String &name, const TaQLStyle &style)
| Create a UDF object (thread-safe).

## Private Member Functions

void | setupStokes (const Table &table, std::vector< TENShPtr > &operands)
| Setup the Stokes conversion.
void | setupSelection (const Table &table, std::vector< TENShPtr > &operands)
| Setup the baseline selection.
void | setupDir (TENShPtr &operand)
| Setup direction conversion if a direction is explicitly given.
void | setupGetValue (const Table &table, std::vector< TENShPtr > &operands)
| Setup getting column values from a subtable.
void | setupWvls (const Table &table, std::vector< TENShPtr > &operands, uInt nargMax)
| Setup getting the wavelength information.
Int64 | getRowNr (const TableExprId &id)
| Get the rownr in the subtable for GetValue.
Array< Double > | toWvls (const TableExprId &)
| Convert the UVW coordinates to wavelengths for the full spectrum.

## Private Attributes

MSCalEngine | itsEngine
StokesConverter | itsStokesConv
TableExprNode | itsDataNode
TableExprNode | itsIdNode
ArrayColumn< Double > | itsUvwCol
ColType | itsType
Int | itsArg
String | itsFuncName
String | itsSubTabName
String | itsIdColName
String | itsSubColName
Vector< Double > | itsTmpVector
Array< Double > | itsTmpUvwWvl
Vector< Int > | itsDDIds
vector< Double > | itsWavel
vector< Vector< Double > > | itsWavels

## Additional Inherited Members

Protected Member Functions inherited from casacore::UDFBase
std::vector< TENShPtr > & | operands ()
| Get the operands.
void | setDataType (TableExprNodeRep::NodeDataType)
| Set the data type.
void | setNDim (Int ndim)
| Set the dimensionality of the results.
void | setShape (const IPosition &shape)
| Set the shape of the results if it is fixed and known.
void | setUnit (const String &unit)
| Set the unit of the result.
void | setAttributes (const Record &attributes)
| Set the attributes of the result.
void | setConstant (Bool isConstant)
| Define if the result is constant (e.g.
void | setAggregate (Bool isAggregate)
| Define if the UDF is an aggregate function (usually used in GROUPBY).

## Detailed Description

TaQL UDFs to calculate derived MS values.

### Intended use:

Public interface

### Review Status

Test programs:
  tDerivedMSCal

### Prerequisite

- UDFBase

### Synopsis

UDFMSCal defines UDFs (user defined functions) that can be used in TaQL to get derived MeasurementSet values hourangle, parallactic angle, azimuth/elevation, and local sidereal time. In this way such derived values appear to be ordinary TaQL functions.

The following functions can be defined:

- HA is the hourangle of the array center (observatory position).
- HA1 is the hourangle of ANTENNA1.
- HA2 is the hourangle of ANTENNA2.
- HADEC is the hourangle/DEC of the array center (observatory position).
- HADEC1 is the hourangle/DEC of ANTENNA1.
- HADEC2 is the hourangle/DEC of ANTENNA2.
- LAST is the local sidereal time of the array center.
- LAST1 is the local sidereal time of ANTENNA1.
- LAST2 is the local sidereal time of ANTENNA2.
- PA1 is the parallactic angle of ANTENNA1.
- PA2 is the parallactic angle of ANTENNA2.
- AZEL1 is the azimuth/elevation of ANTENNA1.
- AZEL2 is the azimuth/elevation of ANTENNA2.
- ITRF is the PHASE_DIR in ITRF coordinates (depends on TIME only).
- UVW_J2000 is the UVW coordinates in J2000 (in meters)
- STOKES makes it possible to convert Stokes of data, flag, or weight.
- BASELINE is baseline selection using CASA syntax.
- CORR is correlation selection using CASA syntax.
- TIME is baseline selection using CASA syntax.
- UVDIST is UV-distance selection using CASA syntax.
- SPW is spectral window selection using CASA syntax.
- FIELD is field selection using CASA syntax.
- FEED is feed selection using CASA syntax.
- ARRAY is array selection using CASA syntax.
- SCAN is scan selection using CASA syntax.
- STATE is state selection using CASA syntax.
- OBS is observation selection using CASA syntax.
- ANTNAME is the name of the given antenna.

The first functions have data type double and unit radian (except UVW). The HADEC, AZEL, and UVW functions return arrays while the others return scalars.
The STOKES function can have data type Complex, Double or Bool.
The latter functions are selection functions and return a Bool scalar.

This class is meant for a MeasurementSet, but can be used for any table containing an ANTENNA and FIELD subtable and the relevant columns in the main table (ANTENNA1 and/or ANTENNA2, FIELD_ID, and TIME).
In principle the array center is the Observatory position, which is taken from the Measures Observatory table using the telescope name found in the OBSERVATION subtable. However, if the subtable is not defined or empty or if the telescope name is unknown, the position of the first antenna is used as the array position.

The engine can also be used for a CASA Calibration Table. It understands how it references the MeasurementSets. Because calibration tables contain no ANTENNA2 columns, functions XX2 are the same as XX1.

### Motivation

It makes it possible to do queries on these values without having to add columns for them.

Definition at line 115 of file UDFMSCal.h.

## Member Enumeration Documentation

## ColType

enum casacore::UDFMSCal::ColType

Define the possible 'column' types.

Enumerator
HA |
HADEC |
PA |
LAST |
AZEL |
ITRF |
UVWWVL |
UVWWVLS |
NEWUVW |
NEWUVWWVL |
NEWUVWWVLS |
DELAY |
STOKES |
SELECTION |
GETVALUE |

Definition at line 119 of file UDFMSCal.h.

## SelType

enum casacore::UDFMSCal::SelType

Define the possible selection types.

Enumerator
BASELINE |
CORR |
TIME |
UVDIST |
SPW |
FIELD |
FEED |
ARRAY |
SCAN |
STATE |
OBS |

Definition at line 123 of file UDFMSCal.h.

## Constructor & Destructor Documentation

## UDFMSCal() [1/4]

casacore::UDFMSCal::UDFMSCal | ( | ColType | ,
|  | Int | arg )

Create object the given ColType and SelType.

References casacore::arg().

## UDFMSCal() [2/4]

casacore::UDFMSCal::UDFMSCal | ( | const String & | funcName | ) |

explicit

Create the object for getting a value from a column in a subtable.

## UDFMSCal() [3/4]

casacore::UDFMSCal::UDFMSCal | ( | const String & | funcName,
|  | const String & | subtabName,
|  | const String & | idColName,
|  | Int | arg = 0 )

References casacore::arg().

## UDFMSCal() [4/4]

casacore::UDFMSCal::UDFMSCal | ( | const String & | funcName,
|  | const String & | subtabName,
|  | const String & | idColName,
|  | const String & | colName )

## Member Function Documentation

## getArrayBool()

virtual MArray< Bool > casacore::UDFMSCal::getArrayBool | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::UDFBase.

## getArrayDComplex()

virtual MArray< DComplex > casacore::UDFMSCal::getArrayDComplex | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::UDFBase.

## getArrayDouble()

virtual MArray< Double > casacore::UDFMSCal::getArrayDouble | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::UDFBase.

## getArrayInt()

virtual MArray< Int64 > casacore::UDFMSCal::getArrayInt | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::UDFBase.

## getArrayString()

virtual MArray< String > casacore::UDFMSCal::getArrayString | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::UDFBase.

## getBool()

virtual Bool casacore::UDFMSCal::getBool | ( | const TableExprId & | id | ) |

virtual

Get the value.

Reimplemented from casacore::UDFBase.

## getDComplex()

virtual DComplex casacore::UDFMSCal::getDComplex | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::UDFBase.

## getDouble()

virtual Double casacore::UDFMSCal::getDouble | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::UDFBase.

## getInt()

virtual Int64 casacore::UDFMSCal::getInt | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::UDFBase.

## getRowNr()

Int64 casacore::UDFMSCal::getRowNr | ( | const TableExprId & | id | ) |

private

Get the rownr in the subtable for GetValue.

If itsArg==1 it uses indirection using itsDDIds.

## getString()

virtual String casacore::UDFMSCal::getString | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::UDFBase.

## makeAnt1Col()

UDFBase * casacore::UDFMSCal::makeAnt1Col | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeAnt1Name()

UDFBase * casacore::UDFMSCal::makeAnt1Name | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeAnt2Col()

UDFBase * casacore::UDFMSCal::makeAnt2Col | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeAnt2Name()

UDFBase * casacore::UDFMSCal::makeAnt2Name | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeArray()

UDFBase * casacore::UDFMSCal::makeArray | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeAZEL()

UDFBase * casacore::UDFMSCal::makeAZEL | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeAZEL1()

UDFBase * casacore::UDFMSCal::makeAZEL1 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeAZEL2()

UDFBase * casacore::UDFMSCal::makeAZEL2 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeBaseline()

UDFBase * casacore::UDFMSCal::makeBaseline | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeCorr()

UDFBase * casacore::UDFMSCal::makeCorr | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeDelay()

UDFBase * casacore::UDFMSCal::makeDelay | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeDelay1()

UDFBase * casacore::UDFMSCal::makeDelay1 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeDelay2()

UDFBase * casacore::UDFMSCal::makeDelay2 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeFeed()

UDFBase * casacore::UDFMSCal::makeFeed | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeField()

UDFBase * casacore::UDFMSCal::makeField | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeFieldCol()

UDFBase * casacore::UDFMSCal::makeFieldCol | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeHA()

UDFBase * casacore::UDFMSCal::makeHA | ( | const String & |  | ) |

static

Function to create an object.

References casacore::UDFBase::UDFBase().

## makeHA1()

UDFBase * casacore::UDFMSCal::makeHA1 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeHA2()

UDFBase * casacore::UDFMSCal::makeHA2 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeHADEC()

UDFBase * casacore::UDFMSCal::makeHADEC | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeHADEC1()

UDFBase * casacore::UDFMSCal::makeHADEC1 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeHADEC2()

UDFBase * casacore::UDFMSCal::makeHADEC2 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeITRF()

UDFBase * casacore::UDFMSCal::makeITRF | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeLAST()

UDFBase * casacore::UDFMSCal::makeLAST | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeLAST1()

UDFBase * casacore::UDFMSCal::makeLAST1 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeLAST2()

UDFBase * casacore::UDFMSCal::makeLAST2 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeObs()

UDFBase * casacore::UDFMSCal::makeObs | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeObsCol()

UDFBase * casacore::UDFMSCal::makeObsCol | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makePA1()

UDFBase * casacore::UDFMSCal::makePA1 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makePA2()

UDFBase * casacore::UDFMSCal::makePA2 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makePolCol()

UDFBase * casacore::UDFMSCal::makePolCol | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeProcCol()

UDFBase * casacore::UDFMSCal::makeProcCol | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeScan()

UDFBase * casacore::UDFMSCal::makeScan | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeSpw()

UDFBase * casacore::UDFMSCal::makeSpw | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeSpwCol()

UDFBase * casacore::UDFMSCal::makeSpwCol | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeState()

UDFBase * casacore::UDFMSCal::makeState | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeStateCol()

UDFBase * casacore::UDFMSCal::makeStateCol | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeStokes()

UDFBase * casacore::UDFMSCal::makeStokes | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeSubCol()

UDFBase * casacore::UDFMSCal::makeSubCol | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeTime()

UDFBase * casacore::UDFMSCal::makeTime | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeUVDist()

UDFBase * casacore::UDFMSCal::makeUVDist | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeUvwAPP()

UDFBase * casacore::UDFMSCal::makeUvwAPP | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeUvwJ2000()

UDFBase * casacore::UDFMSCal::makeUvwJ2000 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeUvwWvl()

UDFBase * casacore::UDFMSCal::makeUvwWvl | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeUvwWvls()

UDFBase * casacore::UDFMSCal::makeUvwWvls | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeWvlAPP()

UDFBase * casacore::UDFMSCal::makeWvlAPP | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeWvlJ2000()

UDFBase * casacore::UDFMSCal::makeWvlJ2000 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeWvlsAPP()

UDFBase * casacore::UDFMSCal::makeWvlsAPP | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## makeWvlsJ2000()

UDFBase * casacore::UDFMSCal::makeWvlsJ2000 | ( | const String & |  | ) |

static

References casacore::UDFBase::UDFBase().

## recreateColumnObjects()

virtual void casacore::UDFMSCal::recreateColumnObjects | ( | const Vector< rownr_t > & | rownrs | ) |

virtual

Let a derived class recreate its column objects in case a selection has to be applied.

Reimplemented from casacore::UDFBase.

## setup()

virtual void casacore::UDFMSCal::setup | ( | const Table & | ,
|  | const TaQLStyle & | )

virtual

Setup the object.

Implements casacore::UDFBase.

## setupDir()

void casacore::UDFMSCal::setupDir | ( | TENShPtr & | operand | ) |

private

Setup direction conversion if a direction is explicitly given.

## setupGetValue()

void casacore::UDFMSCal::setupGetValue | ( | const Table & | table,
|  | std::vector< TENShPtr > & | operands )

private

Setup getting column values from a subtable.

References casacore::UDFBase::operands().

## setupSelection()

void casacore::UDFMSCal::setupSelection | ( | const Table & | table,
|  | std::vector< TENShPtr > & | operands )

private

Setup the baseline selection.

References casacore::UDFBase::operands().

## setupStokes()

void casacore::UDFMSCal::setupStokes | ( | const Table & | table,
|  | std::vector< TENShPtr > & | operands )

private

Setup the Stokes conversion.

References casacore::UDFBase::operands().

## setupWvls()

void casacore::UDFMSCal::setupWvls | ( | const Table & | table,
|  | std::vector< TENShPtr > & | operands,
|  | uInt | nargMax )

private

Setup getting the wavelength information.

References casacore::UDFBase::operands().

## toWvls()

Array< Double > casacore::UDFMSCal::toWvls | ( | const TableExprId & |  | ) |

private

Convert the UVW coordinates to wavelengths for the full spectrum.

## Member Data Documentation

## itsArg

Int casacore::UDFMSCal::itsArg

private

Definition at line 243 of file UDFMSCal.h.

## itsDataNode

TableExprNode casacore::UDFMSCal::itsDataNode

private

Definition at line 239 of file UDFMSCal.h.

## itsDDIds

Vector<Int> casacore::UDFMSCal::itsDDIds

private

Definition at line 255 of file UDFMSCal.h.

## itsEngine

MSCalEngine casacore::UDFMSCal::itsEngine

private

Definition at line 237 of file UDFMSCal.h.

## itsFuncName

String casacore::UDFMSCal::itsFuncName

private

Definition at line 247 of file UDFMSCal.h.

## itsIdColName

String casacore::UDFMSCal::itsIdColName

private

Definition at line 249 of file UDFMSCal.h.

## itsIdNode

TableExprNode casacore::UDFMSCal::itsIdNode

private

Definition at line 240 of file UDFMSCal.h.

## itsStokesConv

StokesConverter casacore::UDFMSCal::itsStokesConv

private

Definition at line 238 of file UDFMSCal.h.

## itsSubColName

String casacore::UDFMSCal::itsSubColName

private

Definition at line 250 of file UDFMSCal.h.

## itsSubTabName

String casacore::UDFMSCal::itsSubTabName

private

Definition at line 248 of file UDFMSCal.h.

## itsTmpUvwWvl

Array<Double> casacore::UDFMSCal::itsTmpUvwWvl

private

Definition at line 254 of file UDFMSCal.h.

## itsTmpVector

Vector<Double> casacore::UDFMSCal::itsTmpVector

private

Definition at line 253 of file UDFMSCal.h.

## itsType

ColType casacore::UDFMSCal::itsType

private

Definition at line 242 of file UDFMSCal.h.

## itsUvwCol

ArrayColumn<Double> casacore::UDFMSCal::itsUvwCol

private

Definition at line 241 of file UDFMSCal.h.

## itsWavel

vector<Double> casacore::UDFMSCal::itsWavel

private

Definition at line 256 of file UDFMSCal.h.

## itsWavels

vector<Vector<Double> > casacore::UDFMSCal::itsWavels

private

Definition at line 257 of file UDFMSCal.h.

The documentation for this class was generated from the following file:

- derivedmscal/DerivedMC/UDFMSCal.h